package draw;


import javax.swing.*;
import java.awt.*;

/**
 * 演示在java画板中画一个圆
 *
 */
public class DrawCircle extends JFrame{
    private MyPanel myPanel;
    public static void main(String[] args) {
        new DrawCircle();
    }
    public DrawCircle() {
        myPanel = new MyPanel();
        this.add(myPanel);
        this.setSize(400,300);
        // 点击X时关闭程序
        this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        this.setVisible(true);
    }

}
class MyPanel extends JPanel {
    /**
     * 初始化一個畫板
     * Graphics 理解成画笔
     * @param graphics
     */
    @Override
    public void paint(Graphics graphics) {
        super.paint(graphics);
        graphics.drawOval(0,0,50,50);
    }

}
