package tankGame01;

import javax.swing.*;
import java.awt.*;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

public class MyPanel extends JPanel implements KeyListener {
    Tank tank1;
    Tank tank2;
    Tank tank3;
    Tank tank4;
    public MyPanel() {
        tank1 = new Tank(100, 100);
        tank2 = new Tank(200, 100);
        tank3 = new Tank(300, 100);
        tank4 = new Tank(400, 100);
    }

    @Override
    public void keyTyped(KeyEvent e) {

    }

    @Override
    public void keyPressed(KeyEvent e) {
        int x = tank1.getX();
        int y = tank1.getY();
        if(e.getKeyCode() == KeyEvent.VK_DOWN) {
            // 键盘向下 y+1
            tank1.setY(y++);
        } else if(e.getKeyCode() == KeyEvent.VK_UP) {
            tank1.setY(y--);
        } else if(e.getKeyCode() == KeyEvent.VK_LEFT) {
            tank1.setX(x--);
        } else if(e.getKeyCode() == KeyEvent.VK_RIGHT) {
            tank1.setX(x++);
        }
        this.repaint();
    }

    @Override
    public void keyReleased(KeyEvent e) {

    }

    @Override
    public void paint(Graphics g) {
        super.paint(g);
        // 填充矩形
        g.fillRect(0,0,1000,750);
        tank1.initTank(g,1,1);
        tank2.initTank(g,2,1);
        tank3.initTank(g,3,1);
        tank4.initTank(g,4,2);
    }
}
